Apache log4cxx Version @version@

Classes | Namespaces | Macros
threadlocal.h File Reference

## Classes
class | ThreadLocal
| This class provides thread-local variables. More...

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Macros
#define | LOG4CXX_THREAD_FUNC

## Macro Definition Documentation

## ◆ LOG4CXX_THREAD_FUNC

#define LOG4CXX_THREAD_FUNC